> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remediate Host

Run a remediation action on one or more endpoints, such as quarantining a host or killing a process.

Creates an asynchronous job, and returns its ID.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Trellix EDR documentation](https://docs.trellix.com/bundle/mvision-endpoint-detection-and-response-product-guide/page/UUID-c90368a0-57c3-06f5-ab8c-23c013d5df7f.html).

## Basic Parameters

| Parameter | Description |
| - | - |
| Action | The remediation action to run on the endpoints. **For example:** `quarantineHost` or `killProcessByName`. Custom reactions are prefixed with an underscore. |
| Action Inputs | A JSON array of the name-value pairs required by the action.         **For example:** <pre>`[  {    "name": "pid",    "value": "23451"  }]`</pre>The valid names depend on the selected action. |
| Host IDs | A comma-separated list of the agent GUIDs of the endpoints to run the action on. |
| Type | The type of the resource in the request body. |

## Advanced Parameters

| Parameter | Description |
| - | - |
| MVEDR Source | The region or source of the event data. **For Example:** `xdrsoar:us-west`. |
| Trace ID | A tracking header, in the format: `workflow-id:task/step-id`. |

## Example Output

```json theme={"dark"}
{
	"data": {
		"type": "hostRemediation",
		"id": "hr-5432",
		"attributes": {
			"success": [
				{
					"status": "200",
					"message": "in-progress",
					"hostIds": [
						"902F4237-B838-ED11-87C6-005056A4B536",
						"902F4237-B838-ED11-87C6-005056A4B537"
					]
				}
			],
			"failed": [
				{
					"status": "409",
					"message": "conflict, Either Some operation is going on Agent guid or its already inQuarantineHoststate",
					"hostIds": [
						"902F4237-B838-ED11-87C6-005056A4B534",
						"902F4237-B838-ED11-87C6-005056A4B535"
					]
				}
			]
		},
		"links": {
			"self": "/edr/v2/remediation/queue-jobs/rem-5432"
		}
	}
}
```

## Workflow Library Example

[Remediate Host with Trellix Edr and Send Results Via Email](https://library.blinkops.com/workflows/remediate-host-with-trellix-edr-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/remediate-host-with-trellix-edr-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/remediate-host-with-trellix-edr-and-send-results-via-email/canvas)
